Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleInspectorOptionsDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          com.ibm.able.editor.AbleInspectorOptionsDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class AbleInspectorOptionsDialog
extends javax.swing.JDialog

This class provides a dialog with a tabbed property panel and standard tabs for Able Inspector Views.

Standard tabs are:

General tab
  where the header, footer, legend, and axis labelling options may be specified.
Text tab
  where the number of columns is specified.header, footer, legend, and
Bar chart tab
Line chart tab
Scatter plot tab
Time plot tab

See Also:
  Serialized Form

Nested Class Summary
`class` | `AbleInspectorOptionsDialog.AreaChartPanel` This class provides the Area Plot inspector tab.
`class` | `AbleInspectorOptionsDialog.BarChartPanel` This class provides the Bar chart inspector tab.
`class` | `AbleInspectorOptionsDialog.LineChartPanel` This class provides the Line Chart inspector tab.
`class` | `AbleInspectorOptionsDialog.ScatterPlotPanel` This class provides the Scatter Plot inspector tab.
`class` | `AbleInspectorOptionsDialog.StackedAreaPanel` This class provides the Stacked Area Plot inspector tab.
`class` | `AbleInspectorOptionsDialog.StackedBarPanel` This class provides the Stacked Bar chart inspector tab.
`class` | `AbleInspectorOptionsDialog.TextPanel` This class provides the Text inspector tab.
`class` | `AbleInspectorOptionsDialog.TextSeriesPanel` This class provides the Text Series inspector tab.
`class` | `AbleInspectorOptionsDialog.TimePlotPanel` This class provides the Time Plot inspector tab.

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbleInspectorOptionsDialog(AbleInspector theInspector, java.lang.String theTitle, boolean isModal)` Create the property tabbed panel and add the standard tabs.
`AbleInspectorOptionsDialog(java.lang.String sTitle)` other constructors added by viscafe

Method Summary
`void` | `addNotify()`
`void` | `addTab(AbleInspectorPanel thePanel)` Append a panel to the tabbed panel.
`void` | `addTab(java.lang.String theTabTitle, AbleInspectorPanel thePanel)` Append a panel to the tabbed panel.
`AbleInspectorContext` | `getContext()`
`void` | `insertTab(java.lang.String theTabTitle, AbleInspectorPanel thePanel, int theIndex)` Insert a panel in the tabbed list at a specific location.
`void` | `insertTab(java.lang.String theTabTitle, javax.swing.Icon theIcon, AbleInspectorPanel thePanel, java.lang.String theToolTip, int theIndex)` Insert a panel in the tabbed list at a specific location.
`static void` | `main(java.lang.String[] args)` Construct a new object and display the customizer.
`void` | `setContext(AbleInspectorContext theContext)`
`void` | `setVisible(boolean b)`
`boolean` | `userCancelled()` Find out if the user pressed cancel.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`dispose, getTitle, hide, isModal, isResizable, isUndecorated, removeNotify, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleInspectorOptionsDialog

    public AbleInspectorOptionsDialog(AbleInspector theInspector,
                                      java.lang.String theTitle,
                                      boolean isModal)

  Create the property tabbed panel and add the standard tabs.

Parameters:
  `theInspector` - The inspector frame to own this property dialog.
  `theTitle` - The title of the property dialog.
  `isModal` - This flag makes the dialog modal when true.

### AbleInspectorOptionsDialog

    public AbleInspectorOptionsDialog(java.lang.String sTitle)

  other constructors added by viscafe

Method Detail

### main

    public static void main(java.lang.String[] args)

  Construct a new object and display the customizer. For testing only,

### setContext

    public void setContext(AbleInspectorContext theContext)

### getContext

    public AbleInspectorContext getContext()

### userCancelled

    public boolean userCancelled()

  Find out if the user pressed cancel.

### addTab

    public void addTab(AbleInspectorPanel thePanel)

  Append a panel to the tabbed panel.

  Parameters:
    `thePanel` - The panel to be added as a tab.

### addTab

    public void addTab(java.lang.String theTabTitle,
                       AbleInspectorPanel thePanel)

  Append a panel to the tabbed panel.

  Parameters:
    `theTabTitle` - The string to display on the tab as the name.
    `thePanel` - The panel to be added as a tab.

### insertTab

    public void insertTab(java.lang.String theTabTitle,
                          AbleInspectorPanel thePanel,
                          int theIndex)

  Insert a panel in the tabbed list at a specific location.

  Parameters:
    `theTabTitle` - The string to display on the tab as the name.
    `thePanel` - The panel to be added as a tab.
    `theIndex` - The position to insert the the tab.

### insertTab

    public void insertTab(java.lang.String theTabTitle,
                          javax.swing.Icon theIcon,
                          AbleInspectorPanel thePanel,
                          java.lang.String theToolTip,
                          int theIndex)

  Insert a panel in the tabbed list at a specific location.

  Parameters:
    `theTabTitle` - The string to display on the tab as the name.
    `theIcon` - The icon to display on the tab panel.
    `thePanel` - The panel to be added as a tab.
    `theIndex` - The position to insert the the tab.

### addNotify

    public void addNotify()

### setVisible

    public void setVisible(boolean b)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005